> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tropicalia.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tropicalia.dev/_mcp/server.

# Update Project

PUT https://api.tropicalia.dev/v1/projects/{projectId}
Content-Type: application/json

Update a project by ID

Reference: https://docs.tropicalia.dev/api-reference/projects/update-project

## Authentication

- `Authorization` header (bearer token, required) — API key with `tr_` prefix (e.g., `tr_abc123`)

## Request

### Path parameters

- `projectId` (string, required)

### Body (application/json)

This endpoint expects an UpdateProjectRequest.

- `name` (string, optional, nullable)
- `description` (string, optional, nullable)

## Response

### 200

Project updated

- `public_id` (string, required)
- `name` (string, required)
- `created_at` (datetime, required)
- `modified_at` (datetime, required)
- `description` (string, optional, nullable)

## Examples

**Request**

```json
{
  "name": "Tropical Rainforest Conservation",
  "description": "A project focused on preserving the biodiversity of tropical rainforests."
}
```

**Response**

```json
{
  "public_id": "proj_9f8b7c6d",
  "name": "Tropical Rainforest Conservation",
  "created_at": "2024-01-15T09:30:00Z",
  "modified_at": "2024-04-20T16:45:00Z",
  "description": "A project focused on preserving the biodiversity of tropical rainforests."
}
```

**SDK Code**

```python
import requests

url = "https://api.tropicalia.dev/v1/projects/proj_9f8b7c6d"

payload = {
    "name": "Tropical Rainforest Conservation",
    "description": "A project focused on preserving the biodiversity of tropical rainforests."
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.tropicalia.dev/v1/projects/proj_9f8b7c6d';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Tropical Rainforest Conservation","description":"A project focused on preserving the biodiversity of tropical rainforests."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.tropicalia.dev/v1/projects/proj_9f8b7c6d"

	payload := strings.NewReader("{\n  \"name\": \"Tropical Rainforest Conservation\",\n  \"description\": \"A project focused on preserving the biodiversity of tropical rainforests.\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.tropicalia.dev/v1/projects/proj_9f8b7c6d")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Tropical Rainforest Conservation\",\n  \"description\": \"A project focused on preserving the biodiversity of tropical rainforests.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.tropicalia.dev/v1/projects/proj_9f8b7c6d")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Tropical Rainforest Conservation\",\n  \"description\": \"A project focused on preserving the biodiversity of tropical rainforests.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.tropicalia.dev/v1/projects/proj_9f8b7c6d', [
  'body' => '{
  "name": "Tropical Rainforest Conservation",
  "description": "A project focused on preserving the biodiversity of tropical rainforests."
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.tropicalia.dev/v1/projects/proj_9f8b7c6d");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Tropical Rainforest Conservation\",\n  \"description\": \"A project focused on preserving the biodiversity of tropical rainforests.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Tropical Rainforest Conservation",
  "description": "A project focused on preserving the biodiversity of tropical rainforests."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.tropicalia.dev/v1/projects/proj_9f8b7c6d")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```